using System;
using System.Data;
using System.Text;
using System.Data.SqlClient;
using ZXDT.DBUtility;//Please add references
namespace ZXDT.CallCenter.DAL
{
	/// <summary>
	/// 数据访问类:T_Wo_WorkOrderTaskHasten
	/// </summary>
	public partial class T_Wo_WorkOrderTaskHasten
	{
		public T_Wo_WorkOrderTaskHasten()
		{}
		#region  Method



		/// <summary>
		/// 增加一条数据
		/// </summary>
		public int Add(ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("insert into T_Wo_WorkOrderTaskHasten(");
			strSql.Append("F_WORKORDERID,F_TASKID,F_DEPTID,F_USERID,F_DEPTIDBY,F_USERIDBY,F_HASTENDATE,F_HASTENTYPE,F_CONTENT,F_SHOWFLAG,F_SHOWDATE,F_DELETEFLAG)");
			strSql.Append(" values (");
			strSql.Append("@F_WORKORDERID,@F_TASKID,@F_DEPTID,@F_USERID,@F_DEPTIDBY,@F_USERIDBY,@F_HASTENDATE,@F_HASTENTYPE,@F_CONTENT,@F_SHOWFLAG,@F_SHOWDATE,@F_DELETEFLAG)");
			strSql.Append(";select @@IDENTITY");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WORKORDERID", SqlDbType.Int,4),
					new SqlParameter("@F_TASKID", SqlDbType.Int,4),
					new SqlParameter("@F_DEPTID", SqlDbType.Int,4),
					new SqlParameter("@F_USERID", SqlDbType.Int,4),
					new SqlParameter("@F_DEPTIDBY", SqlDbType.Int,4),
					new SqlParameter("@F_USERIDBY", SqlDbType.Int,4),
					new SqlParameter("@F_HASTENDATE", SqlDbType.DateTime),
					new SqlParameter("@F_HASTENTYPE", SqlDbType.Int,4),
					new SqlParameter("@F_CONTENT", SqlDbType.NVarChar,500),
					new SqlParameter("@F_SHOWFLAG", SqlDbType.Int,4),
					new SqlParameter("@F_SHOWDATE", SqlDbType.DateTime),
					new SqlParameter("@F_DELETEFLAG", SqlDbType.Int,4)};
			parameters[0].Value = model.F_WORKORDERID;
			parameters[1].Value = model.F_TASKID;
			parameters[2].Value = model.F_DEPTID;
			parameters[3].Value = model.F_USERID;
			parameters[4].Value = model.F_DEPTIDBY;
			parameters[5].Value = model.F_USERIDBY;
			parameters[6].Value = model.F_HASTENDATE;
			parameters[7].Value = model.F_HASTENTYPE;
			parameters[8].Value = model.F_CONTENT;
			parameters[9].Value = model.F_SHOWFLAG;
			parameters[10].Value = model.F_SHOWDATE;
			parameters[11].Value = model.F_DELETEFLAG;

			object obj = DbHelperSQL.GetSingle(strSql.ToString(),parameters);
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 更新一条数据
		/// </summary>
		public bool Update(ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten model)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("update T_Wo_WorkOrderTaskHasten set ");
			strSql.Append("F_WORKORDERID=@F_WORKORDERID,");
			strSql.Append("F_TASKID=@F_TASKID,");
			strSql.Append("F_DEPTID=@F_DEPTID,");
			strSql.Append("F_USERID=@F_USERID,");
			strSql.Append("F_DEPTIDBY=@F_DEPTIDBY,");
			strSql.Append("F_USERIDBY=@F_USERIDBY,");
			strSql.Append("F_HASTENDATE=@F_HASTENDATE,");
			strSql.Append("F_HASTENTYPE=@F_HASTENTYPE,");
			strSql.Append("F_CONTENT=@F_CONTENT,");
			strSql.Append("F_SHOWFLAG=@F_SHOWFLAG,");
			strSql.Append("F_SHOWDATE=@F_SHOWDATE,");
			strSql.Append("F_DELETEFLAG=@F_DELETEFLAG");
			strSql.Append(" where F_HASTENID=@F_HASTENID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_WORKORDERID", SqlDbType.Int,4),
					new SqlParameter("@F_TASKID", SqlDbType.Int,4),
					new SqlParameter("@F_DEPTID", SqlDbType.Int,4),
					new SqlParameter("@F_USERID", SqlDbType.Int,4),
					new SqlParameter("@F_DEPTIDBY", SqlDbType.Int,4),
					new SqlParameter("@F_USERIDBY", SqlDbType.Int,4),
					new SqlParameter("@F_HASTENDATE", SqlDbType.DateTime),
					new SqlParameter("@F_HASTENTYPE", SqlDbType.Int,4),
					new SqlParameter("@F_CONTENT", SqlDbType.NVarChar,500),
					new SqlParameter("@F_SHOWFLAG", SqlDbType.Int,4),
					new SqlParameter("@F_SHOWDATE", SqlDbType.DateTime),
					new SqlParameter("@F_DELETEFLAG", SqlDbType.Int,4),
					new SqlParameter("@F_HASTENID", SqlDbType.Int,4)};
			parameters[0].Value = model.F_WORKORDERID;
			parameters[1].Value = model.F_TASKID;
			parameters[2].Value = model.F_DEPTID;
			parameters[3].Value = model.F_USERID;
			parameters[4].Value = model.F_DEPTIDBY;
			parameters[5].Value = model.F_USERIDBY;
			parameters[6].Value = model.F_HASTENDATE;
			parameters[7].Value = model.F_HASTENTYPE;
			parameters[8].Value = model.F_CONTENT;
			parameters[9].Value = model.F_SHOWFLAG;
			parameters[10].Value = model.F_SHOWDATE;
			parameters[11].Value = model.F_DELETEFLAG;
			parameters[12].Value = model.F_HASTENID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}

		/// <summary>
		/// 删除一条数据
		/// </summary>
		public bool Delete(int F_HASTENID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Wo_WorkOrderTaskHasten ");
			strSql.Append(" where F_HASTENID=@F_HASTENID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_HASTENID", SqlDbType.Int,4)
};
			parameters[0].Value = F_HASTENID;

			int rows=DbHelperSQL.ExecuteSql(strSql.ToString(),parameters);
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}
		/// <summary>
		/// 批量删除数据
		/// </summary>
		public bool DeleteList(string F_HASTENIDlist )
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("delete from T_Wo_WorkOrderTaskHasten ");
			strSql.Append(" where F_HASTENID in ("+F_HASTENIDlist + ")  ");
			int rows=DbHelperSQL.ExecuteSql(strSql.ToString());
			if (rows > 0)
			{
				return true;
			}
			else
			{
				return false;
			}
		}


		/// <summary>
		/// 得到一个对象实体
		/// </summary>
		public ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten GetModel(int F_HASTENID)
		{
			
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select  top 1 F_HASTENID,F_WORKORDERID,F_TASKID,F_DEPTID,F_USERID,F_DEPTIDBY,F_USERIDBY,F_HASTENDATE,F_HASTENTYPE,F_CONTENT,F_SHOWFLAG,F_SHOWDATE,F_DELETEFLAG from T_Wo_WorkOrderTaskHasten ");
			strSql.Append(" where F_HASTENID=@F_HASTENID");
			SqlParameter[] parameters = {
					new SqlParameter("@F_HASTENID", SqlDbType.Int,4)
};
			parameters[0].Value = F_HASTENID;

			ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten model=new ZXDT.CallCenter.Model.T_Wo_WorkOrderTaskHasten();
			DataSet ds=DbHelperSQL.Query(strSql.ToString(),parameters);
			if(ds.Tables[0].Rows.Count>0)
			{
				if(ds.Tables[0].Rows[0]["F_HASTENID"]!=null && ds.Tables[0].Rows[0]["F_HASTENID"].ToString()!="")
				{
					model.F_HASTENID=int.Parse(ds.Tables[0].Rows[0]["F_HASTENID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_WORKORDERID"]!=null && ds.Tables[0].Rows[0]["F_WORKORDERID"].ToString()!="")
				{
					model.F_WORKORDERID=int.Parse(ds.Tables[0].Rows[0]["F_WORKORDERID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_TASKID"]!=null && ds.Tables[0].Rows[0]["F_TASKID"].ToString()!="")
				{
					model.F_TASKID=int.Parse(ds.Tables[0].Rows[0]["F_TASKID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_DEPTID"]!=null && ds.Tables[0].Rows[0]["F_DEPTID"].ToString()!="")
				{
					model.F_DEPTID=int.Parse(ds.Tables[0].Rows[0]["F_DEPTID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_USERID"]!=null && ds.Tables[0].Rows[0]["F_USERID"].ToString()!="")
				{
					model.F_USERID=int.Parse(ds.Tables[0].Rows[0]["F_USERID"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_DEPTIDBY"]!=null && ds.Tables[0].Rows[0]["F_DEPTIDBY"].ToString()!="")
				{
					model.F_DEPTIDBY=int.Parse(ds.Tables[0].Rows[0]["F_DEPTIDBY"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_USERIDBY"]!=null && ds.Tables[0].Rows[0]["F_USERIDBY"].ToString()!="")
				{
					model.F_USERIDBY=int.Parse(ds.Tables[0].Rows[0]["F_USERIDBY"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_HASTENDATE"]!=null && ds.Tables[0].Rows[0]["F_HASTENDATE"].ToString()!="")
				{
					model.F_HASTENDATE=DateTime.Parse(ds.Tables[0].Rows[0]["F_HASTENDATE"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_HASTENTYPE"]!=null && ds.Tables[0].Rows[0]["F_HASTENTYPE"].ToString()!="")
				{
					model.F_HASTENTYPE=int.Parse(ds.Tables[0].Rows[0]["F_HASTENTYPE"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_CONTENT"]!=null && ds.Tables[0].Rows[0]["F_CONTENT"].ToString()!="")
				{
					model.F_CONTENT=ds.Tables[0].Rows[0]["F_CONTENT"].ToString();
				}
				if(ds.Tables[0].Rows[0]["F_SHOWFLAG"]!=null && ds.Tables[0].Rows[0]["F_SHOWFLAG"].ToString()!="")
				{
					model.F_SHOWFLAG=int.Parse(ds.Tables[0].Rows[0]["F_SHOWFLAG"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_SHOWDATE"]!=null && ds.Tables[0].Rows[0]["F_SHOWDATE"].ToString()!="")
				{
					model.F_SHOWDATE=DateTime.Parse(ds.Tables[0].Rows[0]["F_SHOWDATE"].ToString());
				}
				if(ds.Tables[0].Rows[0]["F_DELETEFLAG"]!=null && ds.Tables[0].Rows[0]["F_DELETEFLAG"].ToString()!="")
				{
					model.F_DELETEFLAG=int.Parse(ds.Tables[0].Rows[0]["F_DELETEFLAG"].ToString());
				}
				return model;
			}
			else
			{
				return null;
			}
		}

		/// <summary>
		/// 获得数据列表
		/// </summary>
		public DataSet GetList(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select F_HASTENID,F_WORKORDERID,F_TASKID,F_DEPTID,F_USERID,F_DEPTIDBY,F_USERIDBY,F_HASTENDATE,F_HASTENTYPE,F_CONTENT,F_SHOWFLAG,F_SHOWDATE,F_DELETEFLAG ");
			strSql.Append(" FROM T_Wo_WorkOrderTaskHasten ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获得前几行数据
		/// </summary>
		public DataSet GetList(int Top,string strWhere,string filedOrder)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select ");
			if(Top>0)
			{
				strSql.Append(" top "+Top.ToString());
			}
			strSql.Append(" F_HASTENID,F_WORKORDERID,F_TASKID,F_DEPTID,F_USERID,F_DEPTIDBY,F_USERIDBY,F_HASTENDATE,F_HASTENTYPE,F_CONTENT,F_SHOWFLAG,F_SHOWDATE,F_DELETEFLAG ");
			strSql.Append(" FROM T_Wo_WorkOrderTaskHasten ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			strSql.Append(" order by " + filedOrder);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/// <summary>
		/// 获取记录总数
		/// </summary>
		public int GetRecordCount(string strWhere)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("select count(1) FROM T_Wo_WorkOrderTaskHasten ");
			if(strWhere.Trim()!="")
			{
				strSql.Append(" where "+strWhere);
			}
			object obj = DbHelperSQL.GetSingle(strSql.ToString());
			if (obj == null)
			{
				return 0;
			}
			else
			{
				return Convert.ToInt32(obj);
			}
		}
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetListByPage(string strWhere, string orderby, int startIndex, int endIndex)
		{
			StringBuilder strSql=new StringBuilder();
			strSql.Append("SELECT * FROM ( ");
			strSql.Append(" SELECT ROW_NUMBER() OVER (");
			if (!string.IsNullOrEmpty(orderby.Trim()))
			{
				strSql.Append("order by T." + orderby );
			}
			else
			{
				strSql.Append("order by T.F_HASTENID desc");
			}
			strSql.Append(")AS Row, T.*  from T_Wo_WorkOrderTaskHasten T ");
			if (!string.IsNullOrEmpty(strWhere.Trim()))
			{
				strSql.Append(" WHERE " + strWhere);
			}
			strSql.Append(" ) TT");
			strSql.AppendFormat(" WHERE TT.Row between {0} and {1}", startIndex, endIndex);
			return DbHelperSQL.Query(strSql.ToString());
		}

		/*
		/// <summary>
		/// 分页获取数据列表
		/// </summary>
		public DataSet GetList(int PageSize,int PageIndex,string strWhere)
		{
			SqlParameter[] parameters = {
					new SqlParameter("@tblName", SqlDbType.VarChar, 255),
					new SqlParameter("@fldName", SqlDbType.VarChar, 255),
					new SqlParameter("@PageSize", SqlDbType.Int),
					new SqlParameter("@PageIndex", SqlDbType.Int),
					new SqlParameter("@IsReCount", SqlDbType.Bit),
					new SqlParameter("@OrderType", SqlDbType.Bit),
					new SqlParameter("@strWhere", SqlDbType.VarChar,1000),
					};
			parameters[0].Value = "T_Wo_WorkOrderTaskHasten";
			parameters[1].Value = "F_HASTENID";
			parameters[2].Value = PageSize;
			parameters[3].Value = PageIndex;
			parameters[4].Value = 0;
			parameters[5].Value = 0;
			parameters[6].Value = strWhere;	
			return DbHelperSQL.RunProcedure("UP_GetRecordByPage",parameters,"ds");
		}*/

		#endregion  Method
	}
}

